PropertyProjection (Hibernate JavaDocs)
Date: 2012-04-05

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hibernate.criterion
Class PropertyProjection

    java.lang.Object
      org.hibernate.criterion.SimpleProjection
          org.hibernate.criterion.PropertyProjection

All Implemented Interfaces:
  Serializable, EnhancedProjection, Projection

Direct Known Subclasses:
  Property

    public class PropertyProjection

extends SimpleProjection

A property value, or grouped property value

See Also:
  Serialized Form

Constructor Summary
`protected` | `PropertyProjection(String prop)`
`protected` | `PropertyProjection(String prop, boolean grouped)`

Method Summary
`String` | `getPropertyName()`
`Type[]` | `getTypes(Criteria criteria, CriteriaQuery criteriaQuery)` Types returned by the rendered SQL `fragment`.
`boolean` | `isGrouped()` Is this projection fragment (`SELECT` clause) also part of the `GROUP BY`
`String` | `toGroupSqlString(Criteria criteria, CriteriaQuery criteriaQuery)` Render the SQL fragment to be used in the `GROUP BY` clause
`String` | `toSqlString(Criteria criteria, int position, CriteriaQuery criteriaQuery)` Render the SQL fragment to be used in the `SELECT` clause.
`String` | `toString()`

Methods inherited from class org.hibernate.criterion.SimpleProjection
`as, getAliases, getColumnAliases, getColumnAliases, getColumnAliases, getColumnAliases, getColumnCount, getTypes`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### PropertyProjection

    protected PropertyProjection(String prop,
                                 boolean grouped)

### PropertyProjection

    protected PropertyProjection(String prop)

Method Detail

### getPropertyName

    public String getPropertyName()

### toString

    public String toString()

  Overrides:
    `toString` in class `Object`

### getTypes

    public Type[] getTypes(Criteria criteria,
                           CriteriaQuery criteriaQuery)
                    throws HibernateException

  Description copied from interface: `Projection`
  Types returned by the rendered SQL `fragment`. In other words what are the types that would represent the values this projection asked to be pulled into the result set?

  Parameters:
    `criteria` - The local criteria to which this project is attached (for resolution).
    `criteriaQuery` - The overall criteria query instance.
  Returns:
    The return types.
  Throws:
    `HibernateException` - Indicates a problem resolving the types

### toSqlString

    public String toSqlString(Criteria criteria,
                              int position,
                              CriteriaQuery criteriaQuery)
                       throws HibernateException

  Description copied from interface: `Projection`
  Render the SQL fragment to be used in the `SELECT` clause.

  Parameters:
    `criteria` - The local criteria to which this project is attached (for resolution).
    `position` - The number of columns rendered in the `SELECT` clause before this projection. Generally speaking this is useful to ensure uniqueness of the individual columns aliases.
    `criteriaQuery` - The overall criteria query instance.
  Returns:
    The SQL fragment to plug into the `SELECT`
  Throws:
    `HibernateException` - Indicates a problem performing the rendering

### isGrouped

    public boolean isGrouped()

  Description copied from interface: `Projection`
  Is this projection fragment (`SELECT` clause) also part of the `GROUP BY`

  Specified by:
    `isGrouped` in interface `Projection`
  Overrides:
    `isGrouped` in class `SimpleProjection`
  Returns:
    True if the projection is also part of the `GROUP BY`; false otherwise.

### toGroupSqlString

    public String toGroupSqlString(Criteria criteria,
                                   CriteriaQuery criteriaQuery)
                            throws HibernateException

  Description copied from interface: `Projection`
  Render the SQL fragment to be used in the `GROUP BY` clause

  Specified by:
    `toGroupSqlString` in interface `Projection`
  Overrides:
    `toGroupSqlString` in class `SimpleProjection`
  Parameters:
    `criteria` - The local criteria to which this project is attached (for resolution).
    `criteriaQuery` - The overall criteria query instance.
  Returns:
    The SQL fragment to plug into the `GROUP BY`
  Throws:
    `HibernateException` - Indicates a problem performing the rendering

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2012 Red Hat, Inc. All Rights Reserved.